POST
/
api
/
v1
/
wallets
/
{wallet_id}
/
disable
curl --request POST \
  --url https://hpay-api.host-sl.com/api/v1/wallets/wall_123/disable \
  --header 'api-key: YOUR_API_KEY' \
  --header 'secret-key: YOUR_SECRET_KEY'
{
  "id": "wall_123",
  "user_id": "user_123",
  "balance": 150.50,
  "currency": "SLE",
  "is_active": false
}

Endpoint

POST /api/v1/wallets/{wallet_id}/disable

Path Parameters

wallet_id
string
required
The unique identifier of the wallet to disable.

Headers

api-key
string
required
Your application API key
secret-key
string
required
Your application secret key

Response

id
string
The unique identifier of the wallet.
is_active
boolean
Whether the wallet is currently active (will be false).
curl --request POST \
  --url https://hpay-api.host-sl.com/api/v1/wallets/wall_123/disable \
  --header 'api-key: YOUR_API_KEY' \
  --header 'secret-key: YOUR_SECRET_KEY'
{
  "id": "wall_123",
  "user_id": "user_123",
  "balance": 150.50,
  "currency": "SLE",
  "is_active": false
}